summaryrefslogtreecommitdiff
path: root/x11-libs
diff options
context:
space:
mode:
authorstratact <stratact1@gmail.com>2018-04-22 14:27:33 -0700
committerstratact <stratact1@gmail.com>2018-04-22 14:27:33 -0700
commitbed9fb923f6cc27b39b2277bbc7832126e761b1c (patch)
tree4c6fed681ef216c4043b29cfff30d389e463cc82 /x11-libs
parent5058d152d6717b56e5838c859d7590fd74d87e38 (diff)
x11-misc/pcmanfm: version bump, remove patch
x11-misc/libfm: version bump, remove patch x11-misc/libfm-extra: new package
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/libfm-extra/Manifest1
-rw-r--r--x11-libs/libfm-extra/libfm-extra-1.3.0.ebuild91
-rw-r--r--x11-libs/libfm/Manifest2
-rw-r--r--x11-libs/libfm/files/libfm-fix-use-after-free.diff23
-rw-r--r--x11-libs/libfm/libfm-1.3.0.ebuild (renamed from x11-libs/libfm/libfm-1.2.5-r1.ebuild)10
5 files changed, 96 insertions, 31 deletions
diff --git a/x11-libs/libfm-extra/Manifest b/x11-libs/libfm-extra/Manifest
new file mode 100644
index 00000000..d6a5093d
--- /dev/null
+++ b/x11-libs/libfm-extra/Manifest
@@ -0,0 +1 @@
+DIST libfm-1.3.0.tar.gz 1288574 BLAKE2B 24a7ee923f5d51fddd934e85930533408dfd0c7c099e12b55e18820aa20b47605b1c0a005b5519c35dd8f8dc6042cf01d140602ef53609d1e86ce78c8540091a SHA512 1bac0779c6dad52ef722998dc3859a5868eaacfd2ec41e8966d92ec4c57c2e060c8811bf8fe172e6305707e3f018b412379cdb336a29de29d081d3f7cceeec0e
diff --git a/x11-libs/libfm-extra/libfm-extra-1.3.0.ebuild b/x11-libs/libfm-extra/libfm-extra-1.3.0.ebuild
new file mode 100644
index 00000000..b962866e
--- /dev/null
+++ b/x11-libs/libfm-extra/libfm-extra-1.3.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit autotools xdg-utils
+
+MY_PV=${PV/_/}
+MY_PN="libfm"
+MY_P="${MY_PN}-${MY_PV}"
+DESCRIPTION="A library for file management"
+HOMEPAGE="http://pcmanfm.sourceforge.net/"
+SRC_URI="https://github.com/lxde/libfm/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+KEYWORDS="~alpha amd64 arm ~arm64 ~mips ppc x86 ~amd64-linux ~x86-linux"
+LICENSE="GPL-2"
+SLOT="0/5.0.1" #copy ABI_VERSION because it seems upstream change it randomly
+IUSE=""
+
+RDEPEND=">=dev-libs/glib-2.18:2"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ sys-devel/gettext
+ !!<=x11-libs/libfm-1.2.3"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+ sed -ie '/^SUBDIR.*=/s#docs##' "${S}"/Makefile.am || die "sed failed"
+ sed -ie '/^[[:space:]]*docs/d' configure.ac || die "sed failed"
+ sed -i -e "s:-O0::" -e "/-DG_ENABLE_DEBUG/s: -g::" \
+ configure.ac || die "sed failed"
+
+ #disable unused translations. Bug #356029
+ for trans in app-chooser ask-rename exec-file file-prop preferred-apps \
+ progress;do
+ echo "data/ui/"${trans}.ui >> po/POTFILES.in
+ done
+ #Remove -Werror for automake-1.12. Bug #421101
+ sed -i "s:-Werror::" configure.ac || die
+
+ # subslot sanity check
+ local sub_slot=${SLOT#*/}
+ local libfm_major_abi=$(sed -rne '/ABI_VERSION/s:.*=::p' src/Makefile.am | tr ':' '.')
+
+ if [[ ${sub_slot} != ${libfm_major_abi} ]]; then
+ eerror "Ebuild sub-slot (${sub_slot}) does not match ABI_VERSION(${libfm_major_abi})"
+ eerror "Please update SLOT variable as follows:"
+ eerror " SLOT=\"${SLOT%%/*}/${libfm_major_abi}\""
+ eerror
+ die "sub-slot sanity check failed"
+ fi
+
+ eautoreconf
+ rm -r autom4te.cache || die
+}
+
+src_configure() {
+ econf --sysconfdir="${EPREFIX}/etc" --disable-dependency-tracking \
+ --disable-static --with-extra-only
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -exec rm -f '{}' +
+ # Sometimes a directory is created instead of a symlink. No idea why...
+ # It is wrong anyway. We expect a libfm-1.0 directory and then a libfm
+ # symlink to it.
+ if [[ -h ${D}/usr/include/${MY_PN} || -d ${D}/usr/include/${MY_PN} ]]; then
+ rm -r "${D}"/usr/include/${MY_PN}
+ fi
+}
+
+pkg_preinst() {
+ # Resolve the symlink mess. Bug #439570
+ [[ -d "${ROOT}"/usr/include/${MY_PN} ]] && \
+ rm -rf "${ROOT}"/usr/include/${MY_PN}
+ if [[ -d "${D}"/usr/include/${MY_PN}-1.0 ]]; then
+ cd "${D}"/usr/include
+ ln -s --force ${MY_PN}-1.0 ${MY_PN}
+ fi
+}
+
+pkg_postinst() {
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+}
diff --git a/x11-libs/libfm/Manifest b/x11-libs/libfm/Manifest
index 7be34662..d6a5093d 100644
--- a/x11-libs/libfm/Manifest
+++ b/x11-libs/libfm/Manifest
@@ -1 +1 @@
-DIST libfm-1.2.5.tar.gz 1261152 BLAKE2B 30da6771ad4ab31be675a3af2ce7c9dd04e80be9f33b25300bf386f45f9fd652654e211c312d1e283a63cdbde4f5c8e3673a36fc0075e3b1981d9f5995683057 SHA512 0bc7910081cadc4c8c4648f3483fb5791e9480700400ded452dd5985e7fb0d8524f2c676f0171a5cd283422a13f240f40cfe5ccc8d10dce02dd784d62250b7cc
+DIST libfm-1.3.0.tar.gz 1288574 BLAKE2B 24a7ee923f5d51fddd934e85930533408dfd0c7c099e12b55e18820aa20b47605b1c0a005b5519c35dd8f8dc6042cf01d140602ef53609d1e86ce78c8540091a SHA512 1bac0779c6dad52ef722998dc3859a5868eaacfd2ec41e8966d92ec4c57c2e060c8811bf8fe172e6305707e3f018b412379cdb336a29de29d081d3f7cceeec0e
diff --git a/x11-libs/libfm/files/libfm-fix-use-after-free.diff b/x11-libs/libfm/files/libfm-fix-use-after-free.diff
deleted file mode 100644
index 4a0ae61c..00000000
--- a/x11-libs/libfm/files/libfm-fix-use-after-free.diff
+++ /dev/null
@@ -1,23 +0,0 @@
-diff -Naur libfm-1.2.3/src/base/fm-config.c libfm-1.2.3-fix-uaf-new2/src/base/fm-config.c
---- libfm-1.2.3/src/base/fm-config.c 2014-10-14 18:29:21.000000000 +0200
-+++ libfm-1.2.3-fix-uaf-new2/src/base/fm-config.c 2016-06-18 18:23:35.721837971 +0200
-@@ -346,7 +346,8 @@
- cfg->modules_blacklist = NULL;
- cfg->system_modules_blacklist = NULL;
- _cfg_monitor_free(cfg);
-- g_free(cfg->_cfg_name);
-+ if(name != cfg->_cfg_name)
-+ g_free(cfg->_cfg_name);
- if(G_LIKELY(!name))
- name = "libfm/libfm.conf";
- else
-@@ -363,7 +364,8 @@
- }
- }
-
-- cfg->_cfg_name = g_strdup(name);
-+ if(name != cfg->_cfg_name)
-+ cfg->_cfg_name = g_strdup(name);
- dirs = g_get_system_config_dirs();
- /* bug SF #887: first dir in XDG_CONFIG_DIRS is the most relevant
- so we shoult process the list in reverse order */
diff --git a/x11-libs/libfm/libfm-1.2.5-r1.ebuild b/x11-libs/libfm/libfm-1.3.0.ebuild
index ffa37fbe..a42fb37e 100644
--- a/x11-libs/libfm/libfm-1.2.5-r1.ebuild
+++ b/x11-libs/libfm/libfm-1.3.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/lxde/libfm/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
KEYWORDS="~alpha amd64 arm ~arm64 ~mips ppc x86 ~amd64-linux ~x86-linux"
LICENSE="GPL-2"
-SLOT="0/4.5.0" #copy ABI_VERSION because it seems upstream change it randomly
+SLOT="0/5.0.1" #copy ABI_VERSION because it seems upstream change it randomly
IUSE="+automount debug doc examples exif gtk gtk3 udisks vala"
COMMON_DEPEND=">=dev-libs/glib-2.18:2
@@ -45,10 +45,6 @@ S="${WORKDIR}"/${MY_P}
REQUIRED_USE="udisks? ( automount ) doc? ( gtk ) gtk3? ( gtk )"
src_prepare() {
- # Fix use after free bug, see
- # https://github.com/lxde/libfm/pull/11/commits/9e3a809c6a8a5079f05e04edac9457d317822321
- epatch "${FILESDIR}"/libfm-fix-use-after-free.diff
-
if ! use doc; then
sed -ie '/^SUBDIR.*=/s#docs##' "${S}"/Makefile.am || die "sed failed"
sed -ie '/^[[:space:]]*docs/d' configure.ac || die "sed failed"
@@ -91,7 +87,7 @@ src_configure() {
$(use_enable examples demo) \
$(use_enable debug) \
$(use_enable udisks) \
- $(use_enable vala actions) \
+ $(use_enable vala old-actions) \
$(use_enable doc gtk-doc) \
--with-html-dir=/usr/share/doc/${PF}/html
else
@@ -103,7 +99,7 @@ src_configure() {
$(use_enable exif) \
$(use_enable debug) \
$(use_enable udisks) \
- $(use_enable vala actions) \
+ $(use_enable vala old-actions) \
$(use_with gtk) \
$(use_enable doc gtk-doc) \
--with-html-dir=/usr/share/doc/${PF}/html